%define oname   rbot

Name:           ruby-%{oname}
Version:        0.9.15
Release:        %mkrel 5
Summary:        A modular ruby IRC bot
Group:          Development/Ruby
License:        MIT
URL:            http://ruby-rbot.org
Source0:        http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires:  rubygems ruby-rake
BuildArch:      noarch

%description
A modular ruby IRC bot specifically designed for ease of extension via
plugins.


%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build -f data

%install
%gem_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/rbot
%{_bindir}/rbot-remote
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/gems/%{oname}-%{version}/data/rbot
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_gemdir}/doc/%{oname}-%{version}


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.9.15-5.mga3
+ Revision: 396361
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.9.15-4.mga3
+ Revision: 381345
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 pterjan <pterjan> 0.9.15-3.mga3
+ Revision: 321897
- Add missing buildrequires

  + fwang <fwang>
    - rebuild for new ruby

* Sun Jan 22 2012 kamil <kamil> 0.9.15-2.mga2
+ Revision: 199458
- rebuild against new tokyocabinet-1.4.47
- clean .spec

* Sun Apr 17 2011 shikamaru <shikamaru> 0.9.15-1.mga1
+ Revision: 87160
- imported package ruby-rbot

